Subject: Re: bug#77994: 30.1; Yanking paths or Kanji from Windows produces incorrect behaviour for pgtk build on WSL2

From: Po Lu <[email-masked]>
Date: Sat, 28 Jun 2025 22:24:14 +0800

Eli Zaretskii <[email-masked]> writes:

> Ping! Ping! Ping!  Po Lu, are you there?

I am, but I am occupied enough that my inbox has become distinctly
fickle.  I sould simply suggest that the OP use the W32 configuration in
preference to WSL2, whose implementation is, from what we've observed
here, sorely wanting.  Emacs's selection access is slightly more direct
than most other GTK programs', and has a penchant for revealing encoding
issues that are otherwise concealed by the high-level GTK clipboard API,
which auto-detects coding systems and transparently disregards decoding
failures.